Subject: bug#59802: 30.0.50; Checkbox button not rendered

From: Stephen Berman <[email-masked]>
Date: Tue, 13 Dec 2022 11:16:19 +0100

On Tue, 13 Dec 2022 10:21:47 +0100 Manuel Giraud <[email-masked]> wrote:

> Eli Zaretskii <[email-masked]> writes:
>
> [...]
>
>> If this fixes the issue, I'm okay with installing this on the release
>> branch, but please make sure RSVG_UNIT_PERCENT was indeed introduced
>> in librsvg 2.46.0, and if it was introduced later, please add a
>> necessary LIBRSVG_CHECK_VERSION guard.
>
> Hi,
>
> Here is yet another version that is longer but I think is more correct.
> The previous patch fixes a percentage dimension as a percentage of
> "font_size".  This works for our case here but might not always be
> correct.
>
> This new patch calculate the unknown percentage dimension with the other
> known dimension.  It should work the same on our examples (maybe Stephen
> you could check that).

I confirm this patch works for me just as good as the last one.

Steve Berman